a.button {
    display: inline-block;
    border-radius: 4px;
    background-color: #3557f4;
    border: none;
    color: #FFFFFF;
    text-align: center;
    font-size: 18px;
    padding: 10px;
    width: 100px;
    transition: all 0.5s;
    cursor: pointer;
    margin: 5px;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2), 0 3px 10px 0 rgba(0, 0, 0, 0.19);
}

a.s {
    font-size: 12px;
    width: 50px;

}


a.button span {
    cursor: pointer;
    display: inline-block;
    position: relative;
    transition: 0.5s;
}

a.button span:after {
    content: '\00bb';
    position: absolute;
    opacity: 0;
    top: 0;
    right: -15px;
    transition: 0.5s;
}

a.button span.x-anim:after {
    content: '\x';
}



a.button:hover span {
    padding-right: 25px;
}



a.button:hover span:after {
    opacity: 1;
    right: 0;
}

a.red {
    background-color: #f44336;
    color: white;
}


a.dark {
    background-color: #555555;
    color: white;
}

a.green {
    background-color: #4CAF50;
    color: white;
}

a.blue {
    background-color: #008CBA;
    color: white;
}

a.grey {
    background-color: #008CBA;
    color: white;
}

